data:extend({
{
    type = "ammo-category",
    name = "combat-units"
  },
  {
    type = "item",
    name = "unit-launcher",
    icon = "__base__/graphics/icons/computer.png",
    flags = {"goes-to-quickbar"},
    subgroup = "defensive-structure",
    order = "b[turret]-c[unit-launcher]",
    place_result = "unit-launcher",
    stack_size = 50
  },
{
    type = "gun",
    name = "unit-launcher-gun",
    icon = "__base__/graphics/icons/railgun.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "c[unit-launcher]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "combat-units",
      cooldown = 16,
      movement_slow_down_factor = 0.5,
      projectile_creation_distance = 0.39375,
      projectile_center = {0.0625, -0.0075},
      --damage_modifier = 2,
      range = 40,
      sound = { filename = "__base__/sound/fight/rocket-launcher.ogg", volume = 0.6 },
      max_sounds_per_type = 3
    },
    stack_size = 5
  },
{
    type = "ammo-turret",
    name = "unit-launcher",
    icon = "__base__/graphics/icons/computer.png",
    flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 0.5, result = "unit-launcher"},
    max_health = 400,
    corpse = "medium-remnants",
    collision_box = {{-0.7, -0.7 }, {0.7, 0.7}},
    selection_box = {{-1, -1 }, {1, 1}},
    rotation_speed = 0.04,
    preparing_speed = 0.04,
    folding_speed = 0.04,
    dying_explosion = "medium-explosion",
    inventory_size = 1,
    automated_ammo_count = 10,
    attacking_speed = 0.5,
    folded_animation = 
    {
      layers =
      {
        {
      filename = "__base__/graphics/entity/roboport/roboport-door-up.png",
      priority = "medium",
      width = 52,
      height = 20,
      frame_count = 1,
      direction_count = 1,
      shift = {0.100625, -0.890625}
    },
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-down.png",
      priority = "medium",
      width = 52,
      height = 22,
      frame_count = 1,
      direction_count = 1,
      shift = {0.100625, -0.234375}
    },
      }
    },
    preparing_animation = 
    {
      layers =
      {
    
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-up.png",
      priority = "medium",
      width = 52,
      height = 20,
      frame_count = 16,
            direction_count = 1,
      shift = {0.100625, -0.890625}
    },
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-down.png",
      priority = "medium",
      width = 52,
      height = 22,
      frame_count = 16,
      direction_count = 1,
      shift = {0.100625, -0.234375}
    },
      }
    },
    prepared_animation = {
      layers =
      {
    
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-up.png",
      priority = "medium",
      width = 52,
      height = 20,
      frame_count = 1,
      x = 52*15,
            direction_count = 1,
      shift = {0.100625, -0.890625}
    },
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-down.png",
      priority = "medium",
      width = 52,
      height = 22,
      frame_count = 1,
      x = 52*15,
            direction_count = 1,
      shift = {0.100625, -0.234375}
    },
      }
    },
    attacking_animation = {
      layers =
      {
    
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-up.png",
      priority = "medium",
      width = 52,
      height = 20,
      frame_count = 1,
      x = 52*15,
            direction_count = 1,
      shift = {0.100625, -0.890625}
    },
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-down.png",
      priority = "medium",
      width = 52,
      height = 22,
      frame_count = 1,
      x = 52*15,
            direction_count = 1,
      shift = {0.100625, -0.234375}
    },
      }
    },
    folding_animation = 
    {
      layers =
      {
    
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-up.png",
      priority = "medium",
      width = 52,
      height = 20,
      frame_count = 16,
      direction_count = 1,
      run_mode = "backward",
      shift = {0.100625, -0.890625}
    },
    {
      filename = "__base__/graphics/entity/roboport/roboport-door-down.png",
      priority = "medium",
      width = 52,
      height = 22,
      frame_count = 16,
      direction_count = 1,
      run_mode = "backward",
      shift = {0.100625, -0.234375}
    },
      }
    },
    base_picture =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/gun-turret/gun-turret-base.png",
          priority = "high",
          width = 90,
          height = 75,
          axially_symmetrical = false,
          direction_count = 1,
          shift = {0.0625, -0.046875},
        },
        {
          filename = "__base__/graphics/entity/gun-turret/gun-turret-base-mask.png",
          line_length = 1,
          width = 52,
          height = 47,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 1,
          shift = {0.0625, -0.234375},
          apply_runtime_tint = true
        }
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "combat-units",
      cooldown = 16,
      projectile_creation_distance = 0.39375,
      projectile_center = {0.0625, -0.0075}, -- same as gun_turret_attack shift
      damage_modifier = 2,
      range = 40,
      sound = { filename = "__base__/sound/fight/rocket-launcher.ogg", volume = 0.6 },
      max_sounds_per_type = 3
    },

    
  },
  {
        type = "corpse",
        name = "robot-corpse",
        icon = "__base__/graphics/icons/medium-biter-corpse.png",
        selectable_in_game = false,
        selection_box = {{-1, -1}, {1, 1}},
        flags = {"placeable-neutral", "placeable-off-grid", "building-direction-8-way", "not-on-map"},
        subgroup="corpses",
        order = "c[corpse]-a[biter]-b[medium]",
        dying_speed = 0.04,
        time_before_removed = 15 * 60 * 60,
        final_render_layer = "corpse",
        animation = {
    layers =
    {
      {
        filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
        width = 1,
        height = 1,
        frame_count = 16,
        direction_count = 16,
        --shift = {scale * 0.546875, scale * 0.21875},
        priority = "very-low",
        --scale = scale,
        
      }
    }
  }
      },
  

})